#!/bin/sh 

set -e

if [ $# -ne 1 ]; then
    echo "Usage: ${0} <SCRIPT_NAME>"
    exit 1
fi

SCRIPT_NAME=$1
TAG_NAME="$(basename -s .js $SCRIPT_NAME)-$(date +%s)"

open http://localhost:5665/
./k6 run $SCRIPT_NAME --tag testid=$TAG_NAME --out dashboard